/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.syncml.spds;

public class SyncScheduler {
    
    //---------------------------------------------------------------- Constants
    public static final boolean IDLE = false;
    public static final boolean SYNC_IN_PROGRESS = true;

    private static boolean syncSchedulerStatus = IDLE;
    
    /**
     * Creates a new instance of SyncScheduler
     */
    private SyncScheduler() {
        
    }
    
    protected static void setSyncStatus(boolean newStatus) {
        syncSchedulerStatus = newStatus;
    }
    
    public static boolean isSyncInProgress() {
        return syncSchedulerStatus;
    }    
}
